/v1/broadcast/{id}

Update details of broadcast with given id

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Servetel offers a broadcast feature which works on lists that consist of leads.
Lead: Client's number and other related details
List: Collection of leads

Update Broadcast

Details of a particular broadcast can be updated using the below method.

curl --request PUT \
  --url https://api.servetel.in/v1/broadcast/id \
  --header 'accept: application/json' \
  --header 'authorization: Bearer yourtokenhere' \
  --header 'content-type: application/json'

Path Parameters

Variable NameDescriptionData type
id*Unique ID of the Broadcast that needs to be updatedString

Request Variables

Variable NameDescriptionData type
name*Name of the BroadcastStrring
description*Description for the broadcast.String
phone_number_list*Unique List ID of phone numbers to be used for broadcast.Integer
destination*The destination where the call should land.
Format: ivr||ID, auto_attend||ID
String
timeout*Time for which the call tries to connect to each number in the list. Minimum: 10, Maximum: 60Integer
concurrent_limit*Number of channels to use for broadcastInteger
retry_after_minutes*Time after which failed numbers are tried again.Integer
caller_id_number*Caller ID that is shown to the clientInteger
number_of_retry*Maximum number of retry attempts allowed. Minimum: 0, Maximum: 5Integer
start_date_time*Date and time in which leads associated with broadcast are called.
Format: Y-m-d H:i:s
Date-Time
end_date_time*Date and time till which leads associated with broadcast are called.
Format: Y-m-d H:i:s
Date-Time
time_groupUnique ID of the Time group to be associated with broadcast.Integer

Response Variables

Variable NameDescriptionData type
successRequest success statusBoolean
messageMessage corresponding success statusString
Path Params
string
required
Body Params
string
required

Name of the broadcast.

string
required

Description of the broadcast.

number
required

Unique ID of list of phone numbers to be used for broadcast.

string
required

The destination where the call should land. eg: ivr||id, id: IVR's id

number
required

Time for which the call tries to connect to each number in the list. Minimum: 40

number
required

Number of channels to be used for broadcast.

number
required

Time after which failed numbers are tried again.

number

Caller ID that is showed to the called party.

number
required

Maximum number of retry attempts allowed. Minimum: 0, Maximum: 5

string
required

Date and time in which leads associated with broadcast are called.

string
required

Date and time till which leads associated with broadcast are called.

number

Unique ID of the time_group to be associated with broadcast.

Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json